Bug 376951 - yum failed after upgrading fc7 to fc8 via DVD
yum failed after upgrading fc7 to fc8 via DVD
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/forum/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 22:51 EST by lovswr1
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.2.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:47:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lovswr1 2007-11-11 22:51:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.9) Gecko/20071025 Firefox/2.0.0.9

Description of problem:
I used the DVD to upgrade my current installation of fc7 to fc8.  Now no matter what option/argument/switch that I try to use with yum, I always get the error message below.

Version-Release number of selected component (if applicable):
yum-3.2.7-1.fc8.src.rpm

How reproducible:
Always


Steps to Reproduce:
1. yun 'with any option'
2. 
3.

Actual Results:
error message as noted in additional information box

Expected Results:
I expected yum to work as it has in the past

Additional info:
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 154, in getOptionsConfig
    disabled_plugins=opts.disableplugins)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in 
_getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 229, in 
getReposFromConfig
    parser.readfp(confpp_obj)
  File "/usr/lib/python2.5/site-packages/iniparse/compat.py", line 106, 
in readfp
    self.data.readfp(fp)
  File "/usr/lib/python2.5/site-packages/iniparse/ini.py", line 563, in 
readfp
    if line and line[-1]=='\n':
UnboundLocalError: local variable 'line' referenced before assignment
Comment 1 Tim Lauridsen 2007-11-12 04:20:38 EST
it look like you have and empty *.repo file in /etc/yum.repos.d
It triggers and error in python-iniparse, so i will reassign the bug.
Comment 2 Tim Lauridsen 2007-11-12 04:22:40 EST
do a 
# ls -la /etc/yum.repos.d/*.repo

and remove the 0 size one.
Comment 3 lovswr1 2007-11-12 05:23:49 EST
You guys are total genuises.  It was an empty macromedia i386 repo.  I changed
the name & yum now works perfectly.  Thank you very much.
Comment 4 Fedora Update System 2007-11-20 12:45:18 EST
python-iniparse-0.2.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-iniparse'
Comment 5 Fedora Update System 2007-11-20 13:07:44 EST
python-iniparse-0.2.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-iniparse'
Comment 6 Fedora Update System 2007-11-26 13:47:36 EST
python-iniparse-0.2.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-11-26 13:53:46 EST
python-iniparse-0.2.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.